## org.eclipse.xsd.impl
Class XSDWildcardImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDTermImpl
                              org.eclipse.xsd.impl.XSDWildcardImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDComponent, XSDConcreteComponent, XSDParticleContent, XSDTerm, XSDWildcard

    public class XSDWildcardImpl

extends XSDTermImpl
implements XSDWildcard

An implementation of the model object 'Wildcard'.

The following features are implemented:

- `Namespace Constraint Category`
- `Namespace Constraint`
- `Process Contents`
- `Lexical Namespace Constraint`
- `Annotation`
- `Annotations`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected XSDAnnotation` `annotation` The cached value of the '`Annotation`' containment reference
`protected EList<XSDAnnotation>` `annotations` The cached value of the '`Annotations`' reference list
`protected EList<java.lang.String>` `lexicalNamespaceConstraint` The cached value of the '`Lexical Namespace Constraint`' attribute list
`protected static XSDNamespaceConstraintCategory` `NAMESPACE_CONSTRAINT_CATEGORY_EDEFAULT` The default value of the '`Namespace Constraint Category`' attribute
`protected static int` `NAMESPACE_CONSTRAINT_CATEGORY_EFLAG` The flags representing the value of the '`Namespace Constraint Category`' attribute
`protected static int` `NAMESPACE_CONSTRAINT_CATEGORY_EFLAG_DEFAULT` The flags representing the default value of the '`Namespace Constraint Category`' attribute
`protected static int` `NAMESPACE_CONSTRAINT_CATEGORY_EFLAG_OFFSET` The offset of the flags representing the value of the '`Namespace Constraint Category`' attribute
`protected EList<java.lang.String>` `namespaceConstraint` The cached value of the '`Namespace Constraint`' attribute list
`protected static XSDProcessContents` `PROCESS_CONTENTS_EDEFAULT` The default value of the '`Process Contents`' attribute
`protected static int` `PROCESS_CONTENTS_EFLAG` The flags representing the value of the '`Process Contents`' attribute
`protected static int` `PROCESS_CONTENTS_EFLAG_DEFAULT` The flags representing the default value of the '`Process Contents`' attribute
`protected static int` `PROCESS_CONTENTS_EFLAG_OFFSET` The offset of the flags representing the value of the '`Process Contents`' attribute
`protected static int` `PROCESS_CONTENTS_ESETFLAG` The flag representing whether the Process Contents attribute has been set

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDWildcardImpl()`

Method Summary
`protected void` `adoptContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`boolean` `allows(java.lang.String namespace)` Returns whether the namespace is allowed by the wildcard.
`protected boolean` `analyze()`
`XSDWildcard` `attributeWildcardIntersection(XSDWildcard otherWildcard)` Returns a wildcard that is the attribute wildcard interection of this wildcard and the given wildcard.
`XSDWildcard` `attributeWildcardUnion(XSDWildcard otherWildcard)` Returns a wildcard that is the attribute wildcard union of this wildcard and the given wildcard.
`NotificationChain` `basicSetAnnotation(XSDAnnotation newAnnotation, NotificationChain msgs)`
`protected void` `changeAttribute(EAttribute eAttribute)`
`XSDConcreteComponent` `cloneConcreteComponent(boolean deep, boolean shareDOM)` Creates a clone of the component.
`org.w3c.dom.Element` `createElement()`
`static XSDWildcard` `createWildcard(org.w3c.dom.Node node)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`XSDAnnotation` `getAnnotation()`
`EList<XSDAnnotation>` `getAnnotations()`
`EList<java.lang.String>` `getLexicalNamespaceConstraint()`
`EList<java.lang.String>` `getNamespaceConstraint()`
`XSDNamespaceConstraintCategory` `getNamespaceConstraintCategory()`
`XSDProcessContents` `getProcessContents()`
`java.lang.String` `getStringLexicalNamespaceConstraint()` Returns the String value of the '`Lexical Namespace Constraint`' attribute list
`java.lang.String` `getStringNamespaceConstraint()` Returns the String value of the '`Namespace Constraint`' attribute list
`protected void` `handleReconciliation(java.util.List<XSDConcreteComponent> newContents, java.util.List<XSDConcreteComponent> remainingContents)`
`protected void` `handleUnreconciledElement(org.w3c.dom.Element child, java.util.List<XSDConcreteComponent> newContents, java.util.List<XSDConcreteComponent> remainingContents)`
`boolean` `isSetLexicalNamespaceConstraint()`
`boolean` `isSetProcessContents()`
`protected boolean` `isUpdatingDOM()`
`boolean` `isWildcardSubset(XSDWildcard superSetWildcard)` Returns whether this wildcard is a subset of the given wildcard.
`protected void` `orphanContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`void` `patch()`
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`void` `setAnnotation(XSDAnnotation newAnnotation)`
`void` `setLike(XSDWildcard xsdWildcard)`
`void` `setNamespaceConstraintCategory(XSDNamespaceConstraintCategory newNamespaceConstraintCategory)`
`void` `setProcessContents(XSDProcessContents newProcessContents)`
`void` `setStringLexicalNamespaceConstraint(java.lang.String lexicalNamespaceConstraint)` Sets the String value of the '`Lexical Namespace Constraint`' attribute
`java.lang.String` `toString()`
`void` `unsetLexicalNamespaceConstraint()`
`void` `unsetProcessContents()`
`void` `validate()` Validates whether this component conforms to the constraints defined in the XML Schema standard.

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptBy, adoptDiagnostic, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, convertToBoolean, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getURIReferenceLabel, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanDiagnostic, populateDiagnostic, printDFA, reconcile, reconcileContents, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### NAMESPACE_CONSTRAINT_CATEGORY_EDEFAULT

    protected static final XSDNamespaceConstraintCategory NAMESPACE_CONSTRAINT_CATEGORY_EDEFAULT

  The default value of the '`Namespace Constraint Category`' attribute.

  See Also:
    `getNamespaceConstraintCategory()`

### NAMESPACE_CONSTRAINT_CATEGORY_EFLAG_OFFSET

    protected static final int NAMESPACE_CONSTRAINT_CATEGORY_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Namespace Constraint Category`' attribute.

  See Also:
    Constant Field Values

### NAMESPACE_CONSTRAINT_CATEGORY_EFLAG_DEFAULT

    protected static final int NAMESPACE_CONSTRAINT_CATEGORY_EFLAG_DEFAULT

  The flags representing the default value of the '`Namespace Constraint Category`' attribute.

### NAMESPACE_CONSTRAINT_CATEGORY_EFLAG

    protected static final int NAMESPACE_CONSTRAINT_CATEGORY_EFLAG

  The flags representing the value of the '`Namespace Constraint Category`' attribute.

  See Also:
    `getNamespaceConstraintCategory()`, Constant Field Values

### namespaceConstraint

    protected EList<java.lang.String> namespaceConstraint

  The cached value of the '`Namespace Constraint`' attribute list.

  See Also:
    `getNamespaceConstraint()`

### PROCESS_CONTENTS_EDEFAULT

    protected static final XSDProcessContents PROCESS_CONTENTS_EDEFAULT

  The default value of the '`Process Contents`' attribute.

  See Also:
    `getProcessContents()`

### PROCESS_CONTENTS_EFLAG_OFFSET

    protected static final int PROCESS_CONTENTS_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Process Contents`' attribute.

  See Also:
    Constant Field Values

### PROCESS_CONTENTS_EFLAG_DEFAULT

    protected static final int PROCESS_CONTENTS_EFLAG_DEFAULT

  The flags representing the default value of the '`Process Contents`' attribute.

### PROCESS_CONTENTS_EFLAG

    protected static final int PROCESS_CONTENTS_EFLAG

  The flags representing the value of the '`Process Contents`' attribute.

  See Also:
    `getProcessContents()`, Constant Field Values

### PROCESS_CONTENTS_ESETFLAG

    protected static final int PROCESS_CONTENTS_ESETFLAG

  The flag representing whether the Process Contents attribute has been set.

  See Also:
    Constant Field Values

### lexicalNamespaceConstraint

    protected EList<java.lang.String> lexicalNamespaceConstraint

  The cached value of the '`Lexical Namespace Constraint`' attribute list.

  See Also:
    `getLexicalNamespaceConstraint()`

### annotation

    protected XSDAnnotation annotation

  The cached value of the '`Annotation`' containment reference.

  See Also:
    `getAnnotation()`

### annotations

    protected EList<XSDAnnotation> annotations

  The cached value of the '`Annotations`' reference list.

  See Also:
    `getAnnotations()`

Constructor Detail

### XSDWildcardImpl

    protected XSDWildcardImpl()

Method Detail

### createWildcard

    public static XSDWildcard createWildcard(org.w3c.dom.Node node)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDTermImpl`

### getNamespaceConstraintCategory

    public XSDNamespaceConstraintCategory getNamespaceConstraintCategory()

  Specified by:
    `getNamespaceConstraintCategory` in interface `XSDWildcard`
  Returns:
    the value of the 'Namespace Constraint Category' attribute.
  See Also:
    `XSDNamespaceConstraintCategory`, `XSDWildcard.setNamespaceConstraintCategory(XSDNamespaceConstraintCategory)`, `XSDPackage.getXSDWildcard_NamespaceConstraintCategory()`

### setNamespaceConstraintCategory

    public void setNamespaceConstraintCategory(XSDNamespaceConstraintCategory newNamespaceConstraintCategory)

  Specified by:
    `setNamespaceConstraintCategory` in interface `XSDWildcard`
  Parameters:
    `newNamespaceConstraintCategory` - the new value of the 'Namespace Constraint Category' attribute.
  See Also:
    `XSDNamespaceConstraintCategory`, `XSDWildcard.getNamespaceConstraintCategory()`

### getNamespaceConstraint

    public EList<java.lang.String> getNamespaceConstraint()

  Specified by:
    `getNamespaceConstraint` in interface `XSDWildcard`
  Returns:
    the value of the 'Namespace Constraint' attribute list.
  See Also:
    `XSDWildcard.getStringNamespaceConstraint()`, `XSDPackage.getXSDWildcard_NamespaceConstraint()`

### getProcessContents

    public XSDProcessContents getProcessContents()

  Specified by:
    `getProcessContents` in interface `XSDWildcard`
  Returns:
    the value of the 'Process Contents' attribute.
  See Also:
    `XSDProcessContents`, `XSDWildcard.isSetProcessContents()`, `XSDWildcard.unsetProcessContents()`, `XSDWildcard.setProcessContents(XSDProcessContents)`, `XSDPackage.getXSDWildcard_ProcessContents()`

### setProcessContents

    public void setProcessContents(XSDProcessContents newProcessContents)

  Specified by:
    `setProcessContents` in interface `XSDWildcard`
  Parameters:
    `newProcessContents` - the new value of the 'Process Contents' attribute.
  See Also:
    `XSDProcessContents`, `XSDWildcard.isSetProcessContents()`, `XSDWildcard.unsetProcessContents()`, `XSDWildcard.getProcessContents()`

### unsetProcessContents

    public void unsetProcessContents()

  Specified by:
    `unsetProcessContents` in interface `XSDWildcard`
  See Also:
    `XSDWildcard.isSetProcessContents()`, `XSDWildcard.getProcessContents()`, `XSDWildcard.setProcessContents(XSDProcessContents)`

### isSetProcessContents

    public boolean isSetProcessContents()

  Specified by:
    `isSetProcessContents` in interface `XSDWildcard`
  Returns:
    whether the value of the 'Process Contents' attribute is set.
  See Also:
    `XSDWildcard.unsetProcessContents()`, `XSDWildcard.getProcessContents()`, `XSDWildcard.setProcessContents(XSDProcessContents)`

### getLexicalNamespaceConstraint

    public EList<java.lang.String> getLexicalNamespaceConstraint()

  Specified by:
    `getLexicalNamespaceConstraint` in interface `XSDWildcard`
  Returns:
    the value of the 'Lexical Namespace Constraint' attribute list.
  See Also:
    `XSDWildcard.isSetLexicalNamespaceConstraint()`, `XSDWildcard.unsetLexicalNamespaceConstraint()`, `XSDPackage.getXSDWildcard_LexicalNamespaceConstraint()`

### unsetLexicalNamespaceConstraint

    public void unsetLexicalNamespaceConstraint()

  Specified by:
    `unsetLexicalNamespaceConstraint` in interface `XSDWildcard`
  See Also:
    `XSDWildcard.isSetLexicalNamespaceConstraint()`, `XSDWildcard.getLexicalNamespaceConstraint()`

### isSetLexicalNamespaceConstraint

    public boolean isSetLexicalNamespaceConstraint()

  Specified by:
    `isSetLexicalNamespaceConstraint` in interface `XSDWildcard`
  Returns:
    whether the value of the 'Lexical Namespace Constraint' attribute list is set.
  See Also:
    `XSDWildcard.unsetLexicalNamespaceConstraint()`, `XSDWildcard.getLexicalNamespaceConstraint()`

### getAnnotation

    public XSDAnnotation getAnnotation()

  Specified by:
    `getAnnotation` in interface `XSDWildcard`
  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `XSDWildcard.setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDWildcard_Annotation()`

### setAnnotation

    public void setAnnotation(XSDAnnotation newAnnotation)

  Specified by:
    `setAnnotation` in interface `XSDWildcard`
  Parameters:
    `newAnnotation` - the new value of the 'Annotation' containment reference.
  See Also:
    `XSDWildcard.getAnnotation()`

### basicSetAnnotation

    public NotificationChain basicSetAnnotation(XSDAnnotation newAnnotation,
                                                NotificationChain msgs)

### getAnnotations

    public EList<XSDAnnotation> getAnnotations()

  Specified by:
    `getAnnotations` in interface `XSDWildcard`
  Returns:
    the value of the 'Annotations' reference list.
  See Also:
    `XSDPackage.getXSDWildcard_Annotations()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `XSDConcreteComponentImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDConcreteComponentImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDConcreteComponentImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDConcreteComponentImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDConcreteComponentImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDConcreteComponentImpl`

### createElement

    public org.w3c.dom.Element createElement()

  Overrides:
    `createElement` in class `XSDConcreteComponentImpl`

### patch

    public void patch()

  Overrides:
    `patch` in class `XSDConcreteComponentImpl`

### analyze

    protected boolean analyze()

  Overrides:
    `analyze` in class `XSDConcreteComponentImpl`

### validate

    public void validate()

  Description copied from interface: `XSDConcreteComponent`
  Validates whether this component conforms to the constraints defined in the XML Schema standard. `Diagnostics` are produced to report any problems. The effect of calling this for a component not directly or indirectly contained by a `schema` is undefined, and is likely to result in null pointer exceptions.

  Specified by:
    `validate` in interface `XSDConcreteComponent`
  Overrides:
    `validate` in class `XSDConcreteComponentImpl`
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDConcreteComponent.clearDiagnostics()`

### isUpdatingDOM

    protected boolean isUpdatingDOM()

  Overrides:
    `isUpdatingDOM` in class `XSDConcreteComponentImpl`

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDConcreteComponentImpl`

### handleUnreconciledElement

    protected void handleUnreconciledElement(org.w3c.dom.Element child,
                                             java.util.List<XSDConcreteComponent> newContents,
                                             java.util.List<XSDConcreteComponent> remainingContents)

  Overrides:
    `handleUnreconciledElement` in class `XSDConcreteComponentImpl`

### handleReconciliation

    protected void handleReconciliation(java.util.List<XSDConcreteComponent> newContents,
                                        java.util.List<XSDConcreteComponent> remainingContents)

  Overrides:
    `handleReconciliation` in class `XSDConcreteComponentImpl`

### changeAttribute

    protected void changeAttribute(EAttribute eAttribute)

  Overrides:
    `changeAttribute` in class `XSDConcreteComponentImpl`

### adoptContent

    protected void adoptContent(EReference eReference,
                                XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `adoptContent` in class `XSDConcreteComponentImpl`

### orphanContent

    protected void orphanContent(EReference eReference,
                                 XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `orphanContent` in class `XSDConcreteComponentImpl`

### getStringNamespaceConstraint

    public java.lang.String getStringNamespaceConstraint()

  Description copied from interface: `XSDWildcard`
  Returns the String value of the '`Namespace Constraint`' attribute list.

  Specified by:
    `getStringNamespaceConstraint` in interface `XSDWildcard`
  Returns:
    the String value of the 'Namespace Constraint' attribute list.
  See Also:
    `XSDWildcard.getNamespaceConstraint()`

### getStringLexicalNamespaceConstraint

    public java.lang.String getStringLexicalNamespaceConstraint()

  Description copied from interface: `XSDWildcard`
  Returns the String value of the '`Lexical Namespace Constraint`' attribute list.

  Specified by:
    `getStringLexicalNamespaceConstraint` in interface `XSDWildcard`
  Returns:
    the String value of the 'Lexical Namespace Constraint' attribute list.
  See Also:
    `XSDWildcard.getLexicalNamespaceConstraint()`, `XSDWildcard.setStringLexicalNamespaceConstraint(java.lang.String)`

### setStringLexicalNamespaceConstraint

    public void setStringLexicalNamespaceConstraint(java.lang.String lexicalNamespaceConstraint)

  Description copied from interface: `XSDWildcard`
  Sets the String value of the '`Lexical Namespace Constraint`' attribute.

  Specified by:
    `setStringLexicalNamespaceConstraint` in interface `XSDWildcard`
  Parameters:
    `lexicalNamespaceConstraint` - the new value of the 'Lexical Namespace Constraint' attribute.
  See Also:
    `XSDWildcard.getLexicalNamespaceConstraint()`, `XSDWildcard.getStringLexicalNamespaceConstraint()`

### isWildcardSubset

    public boolean isWildcardSubset(XSDWildcard superSetWildcard)

  Description copied from interface: `XSDWildcard`
  Returns whether this wildcard is a subset of the given wildcard.

  Specified by:
    `isWildcardSubset` in interface `XSDWildcard`
  Parameters:
    `superSetWildcard` - the other wildcard.
  Returns:
    whether this wildcard is a subset.
  See Also:
    `XSDWildcard.attributeWildcardUnion(org.eclipse.xsd.XSDWildcard)`, `XSDWildcard.attributeWildcardIntersection(org.eclipse.xsd.XSDWildcard)`

### attributeWildcardUnion

    public XSDWildcard attributeWildcardUnion(XSDWildcard otherWildcard)

  Description copied from interface: `XSDWildcard`
  Returns a wildcard that is the attribute wildcard union of this wildcard and the given wildcard.

  Specified by:
    `attributeWildcardUnion` in interface `XSDWildcard`
  Parameters:
    `otherWildcard` - another wildcard.
  Returns:
    a wildcard that is the attribute wildcard union of this wildcard and the given wildcard.
  See Also:
    `XSDWildcard.isWildcardSubset(org.eclipse.xsd.XSDWildcard)`, `XSDWildcard.attributeWildcardIntersection(org.eclipse.xsd.XSDWildcard)`

### attributeWildcardIntersection

    public XSDWildcard attributeWildcardIntersection(XSDWildcard otherWildcard)

  Description copied from interface: `XSDWildcard`
  Returns a wildcard that is the attribute wildcard interection of this wildcard and the given wildcard.

  Specified by:
    `attributeWildcardIntersection` in interface `XSDWildcard`
  Parameters:
    `otherWildcard` - another wildcard.
  Returns:
    a wildcard that is the attribute wildcard interection of this wildcard and the given wildcard.
  See Also:
    `XSDWildcard.isWildcardSubset(org.eclipse.xsd.XSDWildcard)`, `XSDWildcard.attributeWildcardUnion(org.eclipse.xsd.XSDWildcard)`

### setLike

    public void setLike(XSDWildcard xsdWildcard)

### allows

    public boolean allows(java.lang.String namespace)

  Description copied from interface: `XSDWildcard`
  Returns whether the namespace is allowed by the wildcard.

  Specified by:
    `allows` in interface `XSDWildcard`
  Returns:
    whether the namespace is allowed by the wildcard.

### cloneConcreteComponent

    public XSDConcreteComponent cloneConcreteComponent(boolean deep,
                                                       boolean shareDOM)

  Description copied from interface: `XSDConcreteComponent`
  Creates a clone of the component. The clone may be deep and may share the DOM of this component.

  Specified by:
    `cloneConcreteComponent` in interface `XSDConcreteComponent`
  Overrides:
    `cloneConcreteComponent` in class `XSDConcreteComponentImpl`
  Parameters:
    `deep` - whether the clone should be deep.
    `shareDOM` - whether the clone should share the original DOM
  Returns:
    a clone of the component.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.